| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Topics | Functions
C (Legacy)

For backwards compatibility with gclib 2.2.1 and below. More...

## Topics
| Connection
| Discover available controllers and open connections.
| Controller
| Manage a Galil controller.
| Galil Connect
| Host or connect to a remote gcaps instance.

## Functions
GCLIB_DEPRECATED void | GSleep (unsigned int timeout_ms)
GCLIB_DEPRECATED GReturn | GVersion (GCStringOut ver, GSize ver_len)
| Uses GUtility(), G_UTIL_VERSION and G_UTIL_GCAPS_VERSION to provide the library and gcaps version numbers.
GCLIB_DEPRECATED void | GError (GReturn rc, GCStringOut error, GSize error_len)
| Provides a human-readable description string for return codes.

## Detailed Description

For backwards compatibility with gclib 2.2.1 and below.

## Function Documentation

## ◆ GSleep()

GCLIB_DEPRECATED void GSleep | ( | unsigned int | timeout_ms | ) |

Deprecated
  This function is part of the deprecated C (Legacy) API, which will be removed in a future release.

Parameters

  timeout_ms | The timeout, in milliseconds, to block before returning.

See GWaitForBool() for an example.

## ◆ GVersion()

GCLIB_DEPRECATED GReturn GVersion | ( | GCStringOut | ver,
|  | GSize | ver_len )

Uses GUtility(), G_UTIL_VERSION and G_UTIL_GCAPS_VERSION to provide the library and gcaps version numbers.

Deprecated
  This function is part of the deprecated C (Legacy) API, which will be removed in a future release. Use gclib_version() and gclib_gcaps_version() instead.

Parameters

  ver | Buffer to hold the output string. Buffer will be null terminated, even if the data must be truncated to do so.
  ver_len | Length of buffer.

Returns
  The success status or error code of the function. See gclib_errors.h for possible values.

The version number of gclib is provided first. If the gcaps server can be found, its version will be provided after a space.

Example with gcaps version.

    154.190.329 1.0.0.82

Example with gclib version only.

    154.190.329

Note
  GVersion() will take up to 1 second to look for gcaps.

## ◆ GError()

GCLIB_DEPRECATED void GError | ( | GReturn | rc,
|  | GCStringOut | error,
|  | GSize | error_len )

Provides a human-readable description string for return codes.

Deprecated
  This function is part of the deprecated C (Legacy) API, which will be removed in a future release.

Parameters

  rc | The return code to lookup.
  error | The buffer to fill with the error text. Buffer will be null terminated, even if the data must be truncated to do so.
  error_len | The length of the error buffer.